(hall-description
 (name "termenv")
 (prefix "guile")
 (version "0.1")
 (author "Vivanne Langdon")
 (email "")
 (copyright (2024))
 (synopsis "Guile port of termenv")
 (description
  "A library to provide easy control of terminals from Guile using terminal control codes.")
 (home-page
  "https://git.solarpunk.moe/vv/guile-termenv")
 (license gpl3+)
 (dependencies `())
 (skip ())
 (features
  ((guix #t)
   (use-guix-specs-for-dependencies #f)
   (native-language-support #f)
   (licensing #f)))
 (files (libraries
	 ((scheme-file "termenv")
	  (directory
	   "termenv"
	   ((scheme-file "screen")
	    (scheme-file "style")
	    (scheme-file "hconfig")
	    (scheme-file "color")
	    (scheme-file "unix")
	    (scheme-file "hyperlink")))))
	(tests ((directory
		 "tests"
		 ((scheme-file "utils")
		  (scheme-file "test-style")
		  (scheme-file "test-screen")))))
	(programs ())
	(documentation
	 ((org-file "README")
	  (symlink "README" "README.org")
	  (text-file "HACKING")
	  (text-file "COPYING")
	  (directory "doc" ((texi-file "guile-termenv")))))
	(infrastructure
	 ((text-file ".guix-channel")
	  (directory
	   ".guix"
	   ((directory
	     "modules"
	     ((scheme-file "guile-termenv")))))
	  (symlink
	   "guix.scm"
	   ".guix/modules/guile-termenv.scm")
	  (text-file ".gitignore")
	  (scheme-file "hall")
	  (directory
	   "tests"
	   ((scheme-file "utils")
	    (scheme-file "test-style")
	    (scheme-file "test-screen")))))))
